package com.android.launcher3.manager;

import java.util.ArrayList;

public class Constants {


    public static final String SYSTEM_SETTING_APP = "com.android.settings";


    public static final String DIALOG_KEY_VALUE = "dialog_extra_value";

    public static final String DIALOG_STRING_KEY_VALUE = "dialog_extra_value";

    //    app锁定提示
    public static final int DIALOG_TYPE_LOCKED = 0;

    //    币不足
    public static final int DIALOG_TYPE_COIN_NOT_ENOUGH = 1;

    //    应用未分类
    public static final int DIALOG_TYPE_APP_UNCLASS = 2;

    //    应用使用时长上限
    public static final int DIALOG_TYPE_APP_USE_DEADLINE = 3;

    //    金币不足
    public static final int DIALOG_TYPE_MONEY_NOT_ENOUGH = 4;
    //    某个分类下的分类总时长已使用完毕
    public static final int DIALOG_TYPE_SOME_CLASS_TIME_OUT = 5;

    //忽略规则的应用
    public static final String[] SAFE_APP = {"com.samsung.android.dialer|com.android.dialer|com.samsung.android.contacts|com.android.contacts",
            "com.samsung.android.messaging|com.android.mms",
            "com.sec.android.app.camera|com.android.camera2|com.meizu.media.camera|com.huawei.camera",
            "com.huawei.android.internal.app"};

    //不需要拦截的系统应用
    public static final String[] SYSTEM_APP = {"com.android.systemui",
            "com.samsung.android.packageinstaller|com.android.packageinstaller",
            "com.samsung.android.incallui|com.android.incallui",
            "com.android.permissioncontroller",
            "com.android.settings.Settings$WifiSettingsActivity",
            "com.android.settings.Settings$AppNotificationSettingsActivity",
            "android.app.Notification"};

    //需要拦截的设置
    public static String[] INTERCEPT_SETTING={"com.huawei.systemmanager","com.android.settings"};

    public static final String ACTION_UPDATE_ICON = "update_icon";

    public static final String EXTRA_PACKAGE = "package";

}
